Subject: [TR] MRT-Worldwide

From: DAVID GILL <[email-masked]>
Date: Wed, 1 Mar 2023 15:42:52 -0500

I am trying to purchase an item from London. The seller wants to use an escrow service. They have suggested MRT-Worldwide. I like their process, that is that the seller delivers the part to them. They inspect it and confirm it is as represented. I would send the money to them to hold. The sale item would be delivered to me for a 10 day inspection. If I keep the item, the seller is paid. If not, I return it and if it is in the same condition, my money is refunded. Is anyone familiar with this company?  Their website is MRT-Worldwide.com. 

Sent from my iPhone
** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive